/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_918751319")

  // add field
  collection.fields.addAt(15, new Field({
    "hidden": false,
    "id": "number925092318",
    "max": null,
    "min": null,
    "name": "miPrevDist",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // add field
  collection.fields.addAt(16, new Field({
    "hidden": false,
    "id": "number2230495798",
    "max": null,
    "min": null,
    "name": "miPrevDiv",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_918751319")

  // remove field
  collection.fields.removeById("number925092318")

  // remove field
  collection.fields.removeById("number2230495798")

  return app.save(collection)
})
